org.apache.cxf.attachment

## Class ImageDataContentHandler

- java.lang.Object
- - org.apache.cxf.attachment.ImageDataContentHandler

- All Implemented Interfaces:
    DataContentHandler

      public class ImageDataContentHandler
      extends Object
      implements DataContentHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageDataContentHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContent(DataSource ds)`
    `Object` | `getTransferData(DataFlavor df, DataSource ds)`
    `DataFlavor[]` | `getTransferDataFlavors()`
    `void` | `writeTo(Object obj, String mimeType, OutputStream os)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageDataContentHandler

          public ImageDataContentHandler()

  - ### Method Detail

    - #### getContent

          public Object getContent(DataSource ds)
                            throws IOException

      Specified by:
        `getContent` in interface `DataContentHandler`
      Throws:
        `IOException`

    - #### getTransferData

          public Object getTransferData(DataFlavor df,
                                        DataSource ds)
                                 throws UnsupportedFlavorException,
                                        IOException

      Specified by:
        `getTransferData` in interface `DataContentHandler`
      Throws:
        `UnsupportedFlavorException`
        `IOException`

    - #### getTransferDataFlavors

          public DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `DataContentHandler`

    - #### writeTo

          public void writeTo(Object obj,
                              String mimeType,
                              OutputStream os)
                       throws IOException

      Specified by:
        `writeTo` in interface `DataContentHandler`
      Throws:
        `IOException`

Apache CXF